Package org.apache.cxf.common.i18n

## Class UncheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cxf.common.i18n.UncheckedException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ConfigurationException`, `ExtensionException`, `Fault`, `ServiceConstructionException`

      public class UncheckedException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Message` | `message` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UncheckedException​(Throwable cause)` |
    `UncheckedException​(Logger log, String msg, Object... params)` |
    `UncheckedException​(Logger log, String msg, Throwable t, Object... params)` |
    `UncheckedException​(ResourceBundle bundle, String msg, Object... params)` |
    `UncheckedException​(ResourceBundle bundle, String msg, Throwable t, Object... params)` |
    `UncheckedException​(Message msg)` |
    `UncheckedException​(Message msg, Throwable t)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCode()` |
    `String` | `getMessage()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### message

          protected final Message message

  - ### Constructor Detail

    - #### UncheckedException

          public UncheckedException​(Message msg)

    - #### UncheckedException

          public UncheckedException​(Message msg,
                                    Throwable t)

    - #### UncheckedException

          public UncheckedException​(Throwable cause)

    - #### UncheckedException

          public UncheckedException​(Logger log,
                                    String msg,
                                    Object... params)

    - #### UncheckedException

          public UncheckedException​(ResourceBundle bundle,
                                    String msg,
                                    Object... params)

    - #### UncheckedException

          public UncheckedException​(Logger log,
                                    String msg,
                                    Throwable t,
                                    Object... params)

    - #### UncheckedException

          public UncheckedException​(ResourceBundle bundle,
                                    String msg,
                                    Throwable t,
                                    Object... params)

  - ### Method Detail

    - #### getCode

          public String getCode()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`